Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2891843002: build: Remove build system support for gold plugin, except under ChromeOS. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by pcc1
Modified:
1 month, 3 weeks ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

build: Remove build system support for gold plugin, except under ChromeOS. R=thakis@chromium.org,brettw@chromium.org TBR=mseaborn@chromium.org BUG=607968 Review-Url: https://codereview.chromium.org/2891843002 Cr-Commit-Position: refs/heads/master@{#481656} Committed: https://chromium.googlesource.com/chromium/src/+/84bbf436692e8b91ba238f11a4749fd2c4d99cb7

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rebase past https://codereview.chromium.org/2888623003 which removed the dependency on use_lld in g… #

Patch Set 3 : Only allow gold plugin with ChromeOS #

Patch Set 4 : Rebase #

Patch Set 5 : Attempt to fix the Windows build #

Messages

Total messages: 43 (27 generated)
pcc1
3 months ago (2017-05-17 23:12:04 UTC) #1
Nico
lgtm, but a question. Also, when relanding CLs, please upload the original CL as patch ...
3 months ago (2017-05-17 23:14:29 UTC) #6
pcc1
https://codereview.chromium.org/2891843002/diff/1/build/config/compiler/compiler.gni File build/config/compiler/compiler.gni (right): https://codereview.chromium.org/2891843002/diff/1/build/config/compiler/compiler.gni#newcode126 build/config/compiler/compiler.gni:126: ((allow_posix_link_time_opt || is_cfi) && target_os == "linux" && It ...
3 months ago (2017-05-17 23:22:37 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891843002/20001
3 months ago (2017-05-18 17:38:03 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430947)
3 months ago (2017-05-18 22:54:47 UTC) #14
pcc1
3 months ago (2017-05-19 22:10:12 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891843002/40001
3 months ago (2017-05-20 00:35:28 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/298883)
2 months, 4 weeks ago (2017-05-20 04:00:14 UTC) #26
pcc1
LLD has stuck for almost a month at this point, so I'll make another attempt ...
1 month, 3 weeks ago (2017-06-22 18:39:00 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891843002/40001
1 month, 3 weeks ago (2017-06-22 18:39:44 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/243523) ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
1 month, 3 weeks ago (2017-06-22 18:42:17 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891843002/60001
1 month, 3 weeks ago (2017-06-22 18:59:55 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/455523)
1 month, 3 weeks ago (2017-06-22 19:10:12 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891843002/80001
1 month, 3 weeks ago (2017-06-22 19:18:34 UTC) #39
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/84bbf436692e8b91ba238f11a4749fd2c4d99cb7
1 month, 3 weeks ago (2017-06-22 20:49:16 UTC) #42
fsamuel
1 month, 3 weeks ago (2017-06-22 21:38:01 UTC) #43
Message was sent while issue was closed.
A revert of this CL (patchset #5 id:80001) has been created in
https://codereview.chromium.org/2953953002/ by fsamuel@google.com.

The reason for reverting is: Suspecting this CL for generate_build_files
failure:
https://uberchromegw.corp.google.com/i/chromium.chrome/builders/Google%20Chro....
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b